﻿@model StarterProjectV2.Models.OwnerTransactionHistory

@{
    ViewData["Title"] = "Owner Transaction History";
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Transaction History
}


<h2 class="text-center" style="color:indianred">@ViewData["Title"]</h2>

<div class="card">
    <div class="card-body">
        <div class="form-group row">
            <label class="col-md-1 col-form-label" for="text-input">Slot Id</label>
           
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.SlotID)
                </p>
            </div>

        </div>
        <div class="form-group row">
            <label class="col-md-1 col-form-label" for="text-input">Registration Status</label>

            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.RegistrationStatus)
                </p>
            </div>

            <label class="col-md-1 col-form-label" for="text-input">Registration Batch</label>
            @*<div class="col-md-2">
                @Html.TextBoxFor(m => m.RegistrationBatch, new { @class = "form-control", placeholder = "Number", id = "number-input", name = "number-input", type = "text", @readonly = "readonly" })

            </div>*@
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.RegistrationBatch)
                </p>
            </div>

        </div>
        <div class="form-group row">
            <label class="col-md-1 col-form-label" for="text-input">Slot SFT</label>
        
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.SlotSFT)
                </p>
            </div>

            <label class="col-md-1 col-form-label" for="text-input">SFT per Person</label>
            @*<div class="col-md-2">
                @Html.TextBoxFor(m => m.SFTperPerson, new { @class = "form-control", id = "number-input", name = "number-input", type = "number", @readonly = "readonly" })

            </div>*@
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.SFTperPerson)
                </p>
            </div>

        </div>
        <div class="form-group row">
            <label class="col-md-1 col-form-label" for="text-input">Floor</label>
            @*<div class="col-md-2">
                @Html.TextBoxFor(m => m.Floor, new { @class = "form-control", id = "number-input", name = "number-input", type = "number", @readonly = "readonly" })

            </div>*@
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.Floor)
                </p>
            </div>

            <label class="col-md-1 col-form-label" for="text-input">Type</label>
            @*<div class="col-md-2">
                @Html.TextBoxFor(m => m.Type, new { @class = "form-control", id = "number-input", name = "number-input", type = "text", @readonly = "readonly" })

            </div>*@
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.Type)
                </p>
            </div>

        </div>
        <div class="form-group row">
            <label class="col-md-1 col-form-label" for="text-input">Sale Date</label>
            @*<div class="col-md-2">
                @Html.TextBoxFor(m => m.SaleDate, new { @class = "form-control", @Value = Model.SaleDate.ToString("yyyy-MM-dd"), id = "number-input", name = "number-input", type = "date", @readonly = "readonly" })

            </div>*@
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.SaleDate.ToString().Substring(0, 100))
                </p>
            </div>

            <label class="col-md-1 col-form-label" for="text-input">No of Slot</label>
            @*<div class="col-md-2">
                @Html.TextBoxFor(m => m.NoofSlot, new { @class = "form-control", id = "number-input", name = "number-input", type = "number", @readonly = "readonly" })

            </div>*@
            <div class="col-lg-4 col-md-4 col-sm-4">
                <p style="padding:5px;border-bottom:1px solid #ccc;font-size:15px;">
                    @Html.DisplayFor(m => m.NoofSlot)
                </p>
            </div>

        </div>
    </div>

    <div class="`card-footer">
        <button type="button" class="btn btn-primary m-1 ml-3" onclick="javascript:window.history.back();">
            <i class="fa fa-angle-left"></i> Back
        </button>
    </div>
</div>

<script>
    $(document).ready(function () {
        $("#newItem").remove();
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $('#printItem').click(function () {
            window.print();
        });
        $('#reloadItem').click(function () {
            location.reload();
        });
        $("#reportItem").remove();
        $("#dashboardItem").click(function () {

        });
    });
</script>

